Subject: Re: bug#7942: 23.2; Duplicate entries in Info dir file

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Feb 2011 20:29:57 +0200

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 14 Feb 2011 18:09:22 -0500
> 
> If someone has dirfile entries from a previous installation of Emacs,
> and then installs Emacs 23.3, new directory entries for the 23.3 manuals
> would be installed into the dirfile, under the "new" categories.  But
> the old directory entries would not be removed.

I don't think such installations exist in practice, but if they do,
they already have a problem -- the one which started this thread.

I don't think we should fail to DTRT just because some installation
somewhere might have a botched info/dir file.

If that's not acceptable, I think Ulrich's original suggestion and
patch is the way to go.